const util = require('../../../../utils/util.js');
const api = require('../../../../config/api.js');
const app = getApp();
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
     shareImage:'',
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
     this.setData({
			 shareImage:app.globalData.shareImage
		 })
	},
 saveImage(){
	wx.showLoading({
		title: '图片保存中',
	});
	wx.downloadFile({
		url: this.data.shareImage,
		timeout:3000,
		success: function(res) {
			wx.hideLoading();
			wx.saveImageToPhotosAlbum({
				filePath:res.tempFilePath,
				success(res){
				
					wx.showToast({
						title: '二维码图片已保存到您的相册',
						icon: 'none',
						duration: 2000
					}); 
				},
				fail(res){
					wx.hideLoading();
					wx.showToast({
						title: '网络或授权问题 图片保存失败 请重试',
						icon: 'none',
						duration: 2000
					}) 
				
				}
			})
		},
		fail:function(){
			wx.hideLoading();
		},
	
	});

 },
	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {

	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: function () {

	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function () {

	},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {

	},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {

	},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {

	},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage: function () {

	}
})